# Gestione degli utenti

## Aggiungere un utente 

```bash
sudo useradd -s /bin/bash -m -c "Mary Quinn" -G sudo,lpadmin,sambashare maryq
```
Il comando è composto da:

- `-s /bin/bash`: selezione della shell predefinita
- `-m`: l'opzione crea una directory nella directory `/home/`, con lo stesso nome del nuovo utente;
- `-c "Mary Quinn"`: il nome completo del nuovo utente. Facoltativo;
- `-G`: gruppi già esistenti a cui verrà aggiunto l'utente;
- maryq : il nome del nuovo utente.

Questo comando crea il nuovo utente, compresa la sua home directory.

### Impostare una password

Il nuovo utente non potrà accedere finché non sarà impostata una password. 

```bash
sudo passwd maryq
```

 È consigliabile che venga richiesto di cambiare la password al primo accesso.

 ```bash
sudo passwd --expire maryq
```

## Eliminare un utente

Per prima cosa, uccidere tutti i processi relativi all'utente da eliminare:

```bash
sudo pkill -KILL -u eric
```
Rimuovere eventuali `cronjob`:

```bash
sudo crontab -r -u eric
```
Infine, eliminare l'utente e la sua home col comando (Debian):

```bash
sudo deluser --remove-home eric
```

## Collegamenti

- [https://www.howtogeek.com/806104/add-a-user-to-linux/](https://www.howtogeek.com/806104/add-a-user-to-linux/)
- [https://www.howtogeek.com/656549/how-to-delete-a-user-on-linux-and-remove-every-trace/](https://www.howtogeek.com/656549/how-to-delete-a-user-on-linux-and-remove-every-trace/)
